# REST Resource: projects.regulatoryListings

## Resource: RegulatoryListing

The regulatory listing resource.

<div class="highlight"><span class="filename">JSON representation</span><pre><code><span class="p">{</span>
  <span class="s2">&quot;name&quot;</span><span class="p">: </span><span class="kd">string</span><span class="p">,</span>
  <span class="s2">&quot;displayName&quot;</span><span class="p">: </span><span class="kd">string</span><span class="p">,</span>
  <span class="s2">&quot;address&quot;</span><span class="p">: </span><span class="p">{</span>
    <span class="kd">object (</span><a href="#genericaddress"><strong><span class="kd">GenericAddress</span></strong></a><span class="kd">)</span>
  <span class="p">}</span><span class="p">,</span>
  <span class="s2">&quot;person&quot;</span><span class="p">: </span><span class="p">{</span>
    <span class="kd">object (</span><a href="#persondetails"><strong><span class="kd">PersonDetails</span></strong></a><span class="kd">)</span>
  <span class="p">}</span><span class="p">,</span>
  <span class="s2">&quot;business&quot;</span><span class="p">: </span><span class="p">{</span>
    <span class="kd">object (</span><a href="#businessdetails"><strong><span class="kd">BusinessDetails</span></strong></a><span class="kd">)</span>
  <span class="p">}</span><span class="p">,</span>
  <span class="s2">&quot;createTime&quot;</span><span class="p">: </span><span class="kd">string (</span><a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank"><strong><span class="kd">Timestamp</span></strong></a><span class="kd">)</span><span class="p">,</span>
  <span class="s2">&quot;valid&quot;</span><span class="p">: </span><span class="kd">boolean</span><span class="p">,</span>
  <span class="s2">&quot;verified&quot;</span><span class="p">: </span><span class="kd">boolean</span>
<span class="p">}</span></code></pre></div>

Fields | &nbsp;
--|--
<span class="e-code">name</span> | <span class="e-code">string</span><br/>Resource name of the regulatory listing. It must match the pattern `projects/*/regulatoryListings/*`
<span class="e-code">displayName</span> | <span class="e-code">string</span><br/>The display name of the regulatory listing. Max length 100 characters.
<span class="e-code">address</span> | <span class="e-code">object ([GenericAddress](#genericaddress))</span><br/>Immutable. The address of this regulatory listing.
<span class="e-code">person</span> | <span class="e-code">object ([PersonDetails](#persondetails))</span><br/>Immutable. The person associated with the listing.
<span class="e-code">business</span> | <span class="e-code">object ([BusinessDetails](#businessdetails))</span><br/>Immutable. The business or corporation associated with the listing.
<span class="e-code">createTime</span> | <span class="e-code">string (<a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank">Timestamp</a> format)</span><br/>Output only. The creation time of the regulatory listing.
<span class="e-code">valid</span> | <span class="e-code">boolean</span><br/>Output only. Whether this regulatory listing is considered valid. This state may change after manual review.
<span class="e-code">verified</span> | <span class="e-code">boolean</span><br/>Output only. Whether this regulatory listing has been verified. Verification is only required for some types of phone numbers, and is performed at request by Enfonica.

## GenericAddress

An address in a generic format.

The validation of some fields varies based on `region_code`. For example: - AU/NZ: locality (city) required, adminsitrative_area (city) required, postal_code required with 4 digits. - US: locality (city) required, adminsitrative_area (city) required, postal_code required with 5 digits.

<div class="highlight"><span class="filename">JSON representation</span><pre><code><span class="p">{</span>
  <span class="s2">&quot;addressLines&quot;</span><span class="p">: </span><span class="p">[</span>
    <span class="kd">string</span>
  <span class="p">]</span><span class="p">,</span>
  <span class="s2">&quot;locality&quot;</span><span class="p">: </span><span class="kd">string</span><span class="p">,</span>
  <span class="s2">&quot;administrativeArea&quot;</span><span class="p">: </span><span class="kd">string</span><span class="p">,</span>
  <span class="s2">&quot;postalCode&quot;</span><span class="p">: </span><span class="kd">string</span><span class="p">,</span>
  <span class="s2">&quot;regionCode&quot;</span><span class="p">: </span><span class="kd">string</span>
<span class="p">}</span></code></pre></div>

Fields | &nbsp;
--|--
<span class="e-code">addressLines[]</span> | <span class="e-code">string</span><br/>Required. The address lines. Maximum length of each line is 200 characters. Must specify 1 or 2 lines.
<span class="e-code">locality</span> | <span class="e-code">string</span><br/>Generally refers to the city/town portion of the address. Examples: US city, IT comune, UK post town.<br/><br/>In regions of the world where localities are not well defined or do not fit into this structure well, leave locality empty and use address_lines.
<span class="e-code">administrativeArea</span> | <span class="e-code">string</span><br/>Highest administrative subdivision which is used for postal addresses of a country or region. For example, this can be a state, a province, an oblast, or a prefecture.<br/><br/>Many countries don't use an administrative area in postal addresses. E.g. in Switzerland this should be left unpopulated.
<span class="e-code">postalCode</span> | <span class="e-code">string</span><br/>The postal code. Maximum 16 characters.
<span class="e-code">regionCode</span> | <span class="e-code">string</span><br/>Required. The alpha-2 country code (capitalized).

## PersonDetails

The details of a person.

<div class="highlight"><span class="filename">JSON representation</span><pre><code><span class="p">{</span>
  <span class="s2">&quot;givenName&quot;</span><span class="p">: </span><span class="kd">string</span><span class="p">,</span>
  <span class="s2">&quot;familyName&quot;</span><span class="p">: </span><span class="kd">string</span>
<span class="p">}</span></code></pre></div>

Fields | &nbsp;
--|--
<span class="e-code">givenName</span> | <span class="e-code">string</span><br/>Required. The given name of the person. Maximum length 100 characters.
<span class="e-code">familyName</span> | <span class="e-code">string</span><br/>Required. The family name of the person. Maximum length 100 characters.

## BusinessDetails

The details of a business or corporation.

<div class="highlight"><span class="filename">JSON representation</span><pre><code><span class="p">{</span>
  <span class="s2">&quot;business&quot;</span><span class="p">: </span><span class="kd">string</span>
<span class="p">}</span></code></pre></div>

Fields | &nbsp;
--|--
<span class="e-code">business</span> | <span class="e-code">string</span><br/>Required. The full legal name of the business. Maximum length 200 characters.

## Methods

Methods | &nbsp;
--|--
<span class="e-code">[create](/docs/phone-numbers/api-reference/rest/v1beta1/projects.regulatoryListings/create/)</span> | <span class="e-code">POST /v1beta1/{parent}/regulatoryListings</span><br/>Creates a regulatory listing.<br/><br/>By creating a regulatory listing, you acknowledge that the person or entity located at the specified address is the only party that will be utilizing phone numbers associated with this regulatory listing. You acknowledge that Enfonica may process the information provided for the purpose of identity verification, and will share this information with local telecommunications providers or authorities where required by local law. You understand that Enfonica phone numbers may be taken out of service if inaccurate or false information has been provided.<br/><br/>The caller must have `numbering.regulatoryListings.create` permission on the project.
<span class="e-code">[get](/docs/phone-numbers/api-reference/rest/v1beta1/projects.regulatoryListings/get/)</span> | <span class="e-code">GET /v1beta1/{name}</span><br/>Retrieves a regulatory listing.<br/><br/>The caller must have `numbering.regulatoryListings.get` permission on the project.
<span class="e-code">[list](/docs/phone-numbers/api-reference/rest/v1beta1/projects.regulatoryListings/list/)</span> | <span class="e-code">GET /v1beta1/{parent}/regulatoryListings</span><br/>Lists all regulatory listings.<br/><br/>List returns regulatory listings sorted by `create_time` descending.<br/><br/>The caller must have `numbering.regulatoryListings.list` permission on the project.
<span class="e-code">[update](/docs/phone-numbers/api-reference/rest/v1beta1/projects.regulatoryListings/update/)</span> | <span class="e-code">PATCH /v1beta1/{regulatory_listing.name}</span><br/>Updates a regulatory listing.<br/><br/>The caller must have `numbering.regulatoryListings.update` permission on the project.
<span class="e-code">[delete](/docs/phone-numbers/api-reference/rest/v1beta1/projects.regulatoryListings/delete/)</span> | <span class="e-code">DELETE /v1beta1/{name}</span><br/>Deletes a regulatory listing. Regulatory listings that are associated with an active phone number instance cannot be deleted.<br/><br/>The caller must have `numbering.regulatoryListings.delete` permission on the project.
<span class="e-code">[search](/docs/phone-numbers/api-reference/rest/v1beta1/projects.regulatoryListings/search/)</span> | <span class="e-code">GET /v1beta1/{parent}/regulatoryListings:search</span><br/>Searches all usable regulatory listings with the specified number type.<br/><br/>List returns regulatory listings sorted by `create_time` descending.<br/><br/>The caller must have `numbering.regulatoryListings.list` permission on the project.

